aboutsummaryrefslogtreecommitdiff
path: root/uninstall.sh
diff options
context:
space:
mode:
authordec05eba <dec05eba@protonmail.com>2025-03-04 23:28:19 +0100
committerdec05eba <dec05eba@protonmail.com>2025-03-04 23:28:19 +0100
commitcf9955dbc35e8e3bb9ac8febbec76cfecd7e739b (patch)
treeb2e0b2237c63f4aea27d2e23d61fbbbcd76d1b47 /uninstall.sh
parent3003cf04c015a3a847a5d598e3a3b0521ff6bdf9 (diff)
Convert to meson project
Diffstat (limited to 'uninstall.sh')
-rw-r--r--uninstall.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/uninstall.sh b/uninstall.sh
new file mode 100644
index 0000000..a1acbbf
--- /dev/null
+++ b/uninstall.sh
@@ -0,0 +1,10 @@
+#!/bin/sh -e
+
+script_dir=$(dirname "$0")
+cd "$script_dir"
+
+[ $(id -u) -ne 0 ] && echo "You need root privileges to run the uninstall script" && exit 1
+
+ninja -C build uninstall
+
+echo "Successfully uninstalled quickmedia" \ No newline at end of file